# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "kovi"
version = "0.13.4"
authors = ["ThriceCola <thricecola@hotmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A Milky & OneBot V11 bot plugin framework"
documentation = "https://thricecola.github.io/kovi-doc/"
readme = "README_Cargo.md"
keywords = [
    "framework",
    "kovi",
    "milky",
    "onebot",
]
license = "MPL-2.0"
repository = "https://github.com/thricecola/Kovi"

[features]
default = [
    "logger",
    "plugin-access-control",
    "save_bot_status",
]
logger = ["env_logger"]
plugin-access-control = []
save_bot_admin = []
save_bot_status = [
    "save_bot_admin",
    "save_plugin_status",
]
save_plugin_status = []

[lib]
name = "kovi"
path = "src/lib.rs"

[dependencies.ahash]
version = "0.8"

[dependencies.async-trait]
version = "0.1"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.croner]
version = "2"

[dependencies.dialoguer]
version = "0.11"
features = ["fuzzy-select"]

[dependencies.env_logger]
version = "0.11"
features = [
    "auto-color",
    "color",
]
optional = true
default-features = false

[dependencies.futures]
version = "0.3"

[dependencies.futures-util]
version = "0.3"

[dependencies.kovi-macros]
version = "0.5"

[dependencies.log]
version = "0.4"

[dependencies.ouroboros]
version = "0.18"

[dependencies.parking_lot]
version = "0.12"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = [
    "full",
    "windows-sys",
]

[dependencies.toml]
version = "0.9"

[dependencies.toml_edit]
version = "0.23"
